Create Service Request Files: Entrata
https://api.propexo.com/v1/service-requests/entrata/:service_request_id/file-upload/| Method |
|---|
| maintenance/updateWorkOrders |
Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The Propexo unique identifier for the service request
Request
This endpoint expects an object.
- Array [
- ]
The Propexo unique identifier for the integration
attachments object[]required
The files to be uploaded to the service request. All the files can have a maximum combined file size of 50 MB
Possible values: >= 1
The contents of the file, as a base64 encoded string. The PMS has a max file size of 50 MB.
Possible values: <= 69730304 characters
The name of the file including the extension. Ex: "image.jpg"
The mime type of the file. Ex: "image/jpeg"
Notes about the file
Response
Successful response
- Array [
- ]
meta objectrequired
result objectrequired
The Propexo unique identifier for the integration
The Propexo unique identifier for the service request
attachments object[]required
The contents of the file, as a base64 encoded string. The PMS has a max file size of 50 MB.
Possible values: <= 69730304 characters
The name of the file including the extension. Ex: "image.jpg"
The mime type of the file. Ex: "image/jpeg"
Notes about the file
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X POST https://api.propexo.com/v1/service-requests/entrata/:service_request_id/file-upload/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"attachments": [
{
"file_data": "string",
"file_name": "string",
"mime_type": "string",
"notes": "string"
}
]
}'
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"service_request_id": "string",
"attachments": [
{
"file_data": "string",
"file_name": "string",
"mime_type": "string",
"notes": "string"
}
]
}
}